const paymentType = (window as any).paymentType

// 需要登录的路由
export const router = [

]

// 不需要登录的路由
export const rootRouter = [
  {
    path: '/information-detail',
    name: 'information-detail',
    component: () => import('@/views/information/information-detail'),
    meta: {
      title: '资讯详情'
    }
  },
  {
    path: '/payCenter',
    name: 'payCenter',
    component: () => import('@/views/adapay/pay-center'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payDefine',
    name: 'payDefine',
    component: () => import('@/views/adapay/pay-define'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/payResult',
    name: 'payResult',
    component: () => import('@/views/adapay/pay-result'),
    meta: {
      title: '支付'
    }
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404 Not Fund',
      platform: paymentType
    }
  }
]
